The BOOST_PP_IS_STANDARD macro specifies whether the compiler's preprocessor is a standard conforming one or not.

#### Usage

BOOST_PP_IS_STANDARD()
Remarks
The macro is a function-like macro taking no parameters. It is used to check if the compiler's preprocessor is standard conforming. One use for the end-user is to see if limitations can be changed, since changes will only take affect for standard conforming preprocessors. The macro expands to 1 if the compiler's preprocessor is standard conforming and 0 if it is not.
Requirements
Header: <boost/preprocessor/config/config.hpp>

#### Sample Code

    // Beginning of source file

    #include <boost/preprocessor/config/config.hpp>

    #if BOOST_PP_IS_STANDARD()
    #define BOOST_PP_LIMIT_MAG 512
    #endif

    #include <boost/preprocessor/arithmetic.hpp> // etc.

© Copyright Edward Diener 2020

Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE_1_0.txt or copy at www.boost.org/LICENSE_1_0.txt)